[lfs-support] [Requesting program interpreter: /tools/lib64/ld-linux-x86-64.so.2] LFS 7.8-rc1

rhubarbpieguy at gmail.com rhubarbpieguy at gmail.com
Mon Sep 28 06:04:07 PDT 2015


I receive [Requesting program interpreter: 
/tools/lib64/ld-linux-x86-64.so.2] after running the glibc sanity check 
(5.7. Glibc-2.22 LFS 7.8-rc1).  The documentation indicates the 
/tools/lib64/ prefix is fine, but I should see ld-linux.so.2 for the 
remainder.  I included the following in Binutils-2.25.1 - Pass 1.

  case $(uname -m) in
   x86_64) mkdir -v /tools/lib && ln -sv lib /tools/lib64 ;;
esac

/lfs/tools/lib64 is linked to lib and 
/lfs/tools/lib/ld-linux-x86-64.so.2 to ld-2.22.so.  $LFS_TGT is 
x86_64-lfs-linux-gnu.

I'm compiling 7.8 on a box running LFS 7.7.  I see no errors in 
binutils/gcc pass 1 or with the API headers.





More information about the lfs-support mailing list